Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class EOEnterpriseObjectAdditions

    java.lang.Object
      wogroovy.additions.EOEnterpriseObjectAdditions

public class EOEnterpriseObjectAdditions
extends Object

Constructor Summary
`EOEnterpriseObjectAdditions()`

Method Summary
`static void` | `addObjectToObjectOnBothSidesOfRelationshipWithKey(EOEnterpriseObject self, EOEnterpriseObject reference, String key)`
`static void` | `deplicateRelationship(ERXGenericRecord self, String relationshipName)`
`static String` | `encodedEntityName(EOEnterpriseObject self)`
`static Object` | `getAt(EOEnterpriseObject self, Object key)`
`static void` | `putAt(EOEnterpriseObject self, Object key, Object object)`
`static void` | `refault(EOEnterpriseObject self)`
`static EORelationship` | `relationshipWithKeyPath(EOEnterpriseObject self, String keyPath)`
`static void` | `replicateDataToEO(ERXGenericRecord self, ERXGenericRecord other, NSArray attributeNames)`
`static void` | `replicateRelationshipToEO(ERXGenericRecord self, ERXGenericRecord other, String relationshipName)`
`static String` | `stringByEncodingPrimaryKeys(EOEnterpriseObject self, String seperator, boolean encrypt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EOEnterpriseObjectAdditions

    public EOEnterpriseObjectAdditions()

Method Detail

### getAt

    public static Object getAt(EOEnterpriseObject self,
                               Object key)

### putAt

    public static void putAt(EOEnterpriseObject self,
                             Object key,
                             Object object)

### refault

    public static void refault(EOEnterpriseObject self)

### addObjectToObjectOnBothSidesOfRelationshipWithKey

    public static void addObjectToObjectOnBothSidesOfRelationshipWithKey(EOEnterpriseObject self,
                                                                         EOEnterpriseObject reference,
                                                                         String key)

### relationshipWithKeyPath

    public static EORelationship relationshipWithKeyPath(EOEnterpriseObject self,
                                                         String keyPath)

### deplicateRelationship

    public static void deplicateRelationship(ERXGenericRecord self,
                                             String relationshipName)

### replicateDataToEO

    public static void replicateDataToEO(ERXGenericRecord self,
                                         ERXGenericRecord other,
                                         NSArray attributeNames)

### replicateRelationshipToEO

    public static void replicateRelationshipToEO(ERXGenericRecord self,
                                                 ERXGenericRecord other,
                                                 String relationshipName)

### stringByEncodingPrimaryKeys

    public static String stringByEncodingPrimaryKeys(EOEnterpriseObject self,
                                                     String seperator,
                                                     boolean encrypt)

### encodedEntityName

    public static String encodedEntityName(EOEnterpriseObject self)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD